## org.apache.commons.math.ode
Class IntegratorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.ode.IntegratorException

All Implemented Interfaces:
  java.io.Serializable

    public class IntegratorException

extends MathException

This exception is made available to users to report the error conditions that are triggered during integration

Since:
  1.2
Version:
  $Revision: 746578 $ $Date: 2009-02-21 15:01:14 -0500 (Sat, 21 Feb 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version identifier

Constructor Summary
`IntegratorException(java.lang.String specifier, java.lang.Object... parts)` Simple constructor.
`IntegratorException(java.lang.Throwable cause)` Create an exception with a given root cause.

Method Summary

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### IntegratorException

    public IntegratorException(java.lang.String specifier,
                               java.lang.Object... parts)

  Simple constructor. Build an exception by translating and formating a message

  Parameters:
    `specifier` - format specifier (to be translated)
    `parts` - to insert in the format (no translation)

### IntegratorException

    public IntegratorException(java.lang.Throwable cause)

  Create an exception with a given root cause.

  Parameters:
    `cause` - the exception or error that caused this exception to be thrown

Copyright (c) 2003-2011 Apache Software Foundation